# IGuestOSType Interface Reference

List of all members.

## Public Attributes
readonly attribute wstring | familyId
| Guest OS family identifier string.
readonly attribute wstring | familyDescription
| Human readable description of the guest OS family.
readonly attribute wstring | id
| Guest OS identifier string.
readonly attribute wstring | description
| Human readable description of the guest OS.
readonly attribute boolean | is64Bit
| Returns `true` if the given OS is 64-bit.
readonly attribute boolean | recommendedIOAPIC
| Returns `true` if IO APIC recommended for this OS type.
readonly attribute boolean | recommendedVirtEx
| Returns `true` if VT-x or AMD-V recommended for this OS type.
readonly attribute unsigned long | recommendedRAM
| Recommended RAM size in Megabytes.
readonly attribute unsigned long | recommendedVRAM
| Recommended video RAM size in Megabytes.
readonly attribute unsigned long | recommendedHDD
| Recommended hard disk size in Megabytes.
readonly attribute NetworkAdapterType | adapterType
| Returns recommended network adapter for this OS type.
readonly attribute boolean | recommendedPae
| Returns `true` if using PAE is recommended for this OS type.
readonly attribute StorageControllerType | recommendedDvdStorageController
| Recommended storage controller type for DVD/CD drives.
readonly attribute StorageBus | recommendedDvdStorageBus
| Recommended storage bus type for DVD/CD drives.
readonly attribute StorageControllerType | recommendedHdStorageController
| Recommended storage controller type for HD drives.
readonly attribute StorageBus | recommendedHdStorageBus
| Recommended storage bus type for HD drives.
readonly attribute FirmwareType | recommendedFirmware
| Recommended firmware type.
readonly attribute boolean | recommendedUsbHid
| Returns `true` if using USB Human Interface Devices, such as keyboard and mouse recommended.
readonly attribute boolean | recommendedHpet
| Returns `true` if using HPET is recommended for this OS type.
readonly attribute boolean | recommendedUsbTablet
| Returns `true` if using a USB Tablet is recommended.
readonly attribute boolean | recommendedRtcUseUtc
| Returns `true` if the RTC of this VM should be set to UTC.

## Detailed Description

Interface ID:
  `{E3F6727E-A09B-41EA-A824-864A176472F3}`

## Member Data Documentation

readonly attribute wstring IGuestOSType::familyId

Guest OS family identifier string.

readonly attribute wstring IGuestOSType::familyDescription

Human readable description of the guest OS family.

readonly attribute wstring IGuestOSType::id

Guest OS identifier string.

readonly attribute wstring IGuestOSType::description

Human readable description of the guest OS.

readonly attribute boolean IGuestOSType::is64Bit

Returns `true` if the given OS is 64-bit.

readonly attribute boolean IGuestOSType::recommendedIOAPIC

Returns `true` if IO APIC recommended for this OS type.

readonly attribute boolean IGuestOSType::recommendedVirtEx

Returns `true` if VT-x or AMD-V recommended for this OS type.

readonly attribute unsigned long IGuestOSType::recommendedRAM

Recommended RAM size in Megabytes.

readonly attribute unsigned long IGuestOSType::recommendedVRAM

Recommended video RAM size in Megabytes.

readonly attribute unsigned long IGuestOSType::recommendedHDD

Recommended hard disk size in Megabytes.

readonly attribute NetworkAdapterType IGuestOSType::adapterType

Returns recommended network adapter for this OS type.

readonly attribute boolean IGuestOSType::recommendedPae

Returns `true` if using PAE is recommended for this OS type.

readonly attribute StorageControllerType IGuestOSType::recommendedDvdStorageController

Recommended storage controller type for DVD/CD drives.

readonly attribute StorageBus IGuestOSType::recommendedDvdStorageBus

Recommended storage bus type for DVD/CD drives.

readonly attribute StorageControllerType IGuestOSType::recommendedHdStorageController

Recommended storage controller type for HD drives.

readonly attribute StorageBus IGuestOSType::recommendedHdStorageBus

Recommended storage bus type for HD drives.

readonly attribute FirmwareType IGuestOSType::recommendedFirmware

Recommended firmware type.

readonly attribute boolean IGuestOSType::recommendedUsbHid

Returns `true` if using USB Human Interface Devices, such as keyboard and mouse recommended.

readonly attribute boolean IGuestOSType::recommendedHpet

Returns `true` if using HPET is recommended for this OS type.

readonly attribute boolean IGuestOSType::recommendedUsbTablet

Returns `true` if using a USB Tablet is recommended.

readonly attribute boolean IGuestOSType::recommendedRtcUseUtc

Returns `true` if the RTC of this VM should be set to UTC.